Subject: Re: bug#59285: 29.0.50; Setting default font as frame parameter upsets tab-bar display height

From: Po Lu <[email-masked]>
Date: Wed, 16 Nov 2022 11:19:52 +0800

Gabriel <[email-masked]> writes:

> James Ferguson <[email-masked]> writes:
>>
>> Changing the selected frame 'default face size with "<family>-<size>"
>> results in a tab bar with a lot of vertical space padding,  It also
>> doesn't redisplay it properly with redrawing if you move the mouse over
>> the tab bar, or if you switch tabs.
>>
>> As far as I can tell for the life of the frame.  This, I believe, is new since 28.x.
>>
>> I see it with `emacs -q`.
>>
>> e.g.:
>>
>> (tab-bar-mode)
>> (set-frame-parameter (selected-frame)
>>                      'font
>>                      (format "%s-18" (face-attribute 'default :family)))
>>
>> Thanks!
>>
>
> Related (and potential duplicated) to bug#59271.
>
> ---
> Gabriel

Indeed.  Garbiel, James, could you please see if the bug has now been
fixed on master?